<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: CMakeLists.txt File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_c_make_lists_8txt.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">CMakeLists.txt File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a0f5e1559f1488eadf50e9b0a5844cd80"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_make_lists_8txt.html#a0f5e1559f1488eadf50e9b0a5844cd80">set</a> (LLVM_LINK_COMPONENTS support) set(CMAKE_CXX_STANDARD 17) set(CMAKE_CXX_STANDARD_REQUIRED YES) set(LLVM_ENABLE_EH ON) set(LLVM_REQUIRES_RTTI ON) find_package(libpqxx CONFIG REQUIRED) find_package(PostgreSQL REQUIRED) find_package(libmongocxx-static REQUIRED) find_package(libbsoncxx-static REQUIRED) find_package(libmongoc-static-1.0 REQUIRED) find_package(libpqxx CONFIG REQUIRED) find_package(PostgreSQL REQUIRED) find_package(libmongocxx-static REQUIRED) find_package(libbsoncxx-static REQUIRED) find_package(libmongoc-static-1.0 REQUIRED) set(libmongoc_libraries $</td></tr>
<tr class="separator:a0f5e1559f1488eadf50e9b0a5844cd80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9acf77c69664526c2ca8d7efa24cba98"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_make_lists_8txt.html#a9acf77c69664526c2ca8d7efa24cba98">set</a> (libmongoc_include_directories ${MONGOC_STATIC_INCLUDE_DIRS}) set(libmongoc_definitions $</td></tr>
<tr class="separator:a9acf77c69664526c2ca8d7efa24cba98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c87e68e52713adcccb3a14c404733bb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_make_lists_8txt.html#a7c87e68e52713adcccb3a14c404733bb">message</a> (STATUS &quot;Libmongo CXX incl dirs : ${LIBMONGOCXX_STATIC_INCLUDE_DIRS}&quot;) include_directories($</td></tr>
<tr class="separator:a7c87e68e52713adcccb3a14c404733bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a406350effa98c1d010c7d736b0db7354"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_make_lists_8txt.html#a406350effa98c1d010c7d736b0db7354">message</a> (STATUS &quot;Libmongo C incl dirs : ${libmongoc_include_directories}&quot;) include_directories($</td></tr>
<tr class="separator:a406350effa98c1d010c7d736b0db7354"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10c5df92b585a33acfeabf27a1a8db8c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_make_lists_8txt.html#a10c5df92b585a33acfeabf27a1a8db8c">message</a> (STATUS &quot;Lib incl dirs : ${PACKAGE_PREFIX_DIR}/lib&quot;) include_directories($</td></tr>
<tr class="separator:a10c5df92b585a33acfeabf27a1a8db8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77581c547a9077c066f1dc4dc0e745d5"><td class="memItemLeft" align="right" valign="top">lib&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_make_lists_8txt.html#a77581c547a9077c066f1dc4dc0e745d5">message</a> (STATUS &quot;Libs ${LIBMONGOCXX_STATIC_LIBRARIES}&quot;) message(STATUS &quot;Libs BSON $</td></tr>
<tr class="separator:a77581c547a9077c066f1dc4dc0e745d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7389aae152eae1adb2fabe53e81696a3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_make_lists_8txt.html#a7389aae152eae1adb2fabe53e81696a3">message</a> (STATUS &quot;Incl dirs ${LIBMONGOCXX_STATIC_INCLUDE_DIRS}&quot;) message(STATUS &quot;Defs $</td></tr>
<tr class="separator:a7389aae152eae1adb2fabe53e81696a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a81017b8af76ef6f26c5650ab7a6bdf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_make_lists_8txt.html#a1a81017b8af76ef6f26c5650ab7a6bdf">include_directories</a> (${LIBMONGOCXX_STATIC_INCLUDE_DIR}) include_directories($</td></tr>
<tr class="separator:a1a81017b8af76ef6f26c5650ab7a6bdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4386e0793b488ad3a9fdee88469dda69"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_make_lists_8txt.html#a4386e0793b488ad3a9fdee88469dda69">include_directories</a> (&quot;/usr/local/include/mongocxx/v_noabi&quot;) include_directories(&quot;/usr/local/include/bsoncxx/v_noabi&quot;) include_directories(&quot;/usr/local/include/libmongoc-1.0&quot;) include_directories(&quot;/usr/local/include/libbson-1.0&quot;) include_directories(&quot;/usr/local/lib&quot;) include_directories(&quot;/usr/include/pqxx&quot;) option(USE_CXX_EXCEPTIONS &quot;Enable C++ exception support&quot; ON) <a class="el" href="_c_make_lists_8txt.html#aaa211c10276f67e45a2c5065120c154b">message</a>(STATUS &quot;print_all_variables--&quot;) find_package(Threads REQUIRED) <a class="el" href="_c_make_lists_8txt.html#aaa211c10276f67e45a2c5065120c154b">message</a>(&quot;Pthread arg $</td></tr>
<tr class="separator:a4386e0793b488ad3a9fdee88469dda69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add4fb4b7904780a6b8e506b2d3a693d4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_make_lists_8txt.html#add4fb4b7904780a6b8e506b2d3a693d4">message</a> (&quot;Cmake Lib ${CMAKE_THREAD_LIBS_INIT}&quot;) add_clang_executable(refactor-powertrain-controls refactor-powertrain-controls.cpp) target_include_directories(refactor-powertrain-controls PRIVATE $</td></tr>
<tr class="separator:add4fb4b7904780a6b8e506b2d3a693d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af43f7a954a821a732d905cdd5c68171e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_make_lists_8txt.html#af43f7a954a821a732d905cdd5c68171e">target_compile_definitions</a> (refactor-powertrain-controls PRIVATE ${refactor-powertrain-controls} ${MONGOCXX_STATIC}) target_compile_options(refactor-powertrain-controls PUBLIC &quot;-pthread&quot;) message(&quot;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!&quot;) <a class="el" href="_c_make_lists_8txt.html#aaa211c10276f67e45a2c5065120c154b">message</a>(&quot;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!&quot;) <a class="el" href="_c_make_lists_8txt.html#aaa211c10276f67e45a2c5065120c154b">message</a>(&quot;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!&quot;) <a class="el" href="_c_make_lists_8txt.html#aaa211c10276f67e45a2c5065120c154b">message</a>(&quot;LIBMONGOCXX_STATIC_LIBRARIES </td></tr>
<tr class="separator:af43f7a954a821a732d905cdd5c68171e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a198224a61c4b6af840adb63079fe3f6e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_make_lists_8txt.html#a198224a61c4b6af840adb63079fe3f6e">message</a> (&quot;LIBBSONCXX_STATIC_LIBRARIES :  ${LIBBSONCXX_STATIC_LIBRARIES}&quot;) message(&quot;MONGOC_STATIC_LIBRARIES </td></tr>
<tr class="separator:a198224a61c4b6af840adb63079fe3f6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a863f2bec8665e9993ee6298e70265247"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_make_lists_8txt.html#a863f2bec8665e9993ee6298e70265247">message</a> (&quot;BSON_STATIC_LIBRARY :  ${BSON_STATIC_LIBRARY}&quot;) message(&quot;CMAKE_THREAD_LIBS_INIT </td></tr>
<tr class="separator:a863f2bec8665e9993ee6298e70265247"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa211c10276f67e45a2c5065120c154b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_make_lists_8txt.html#aaa211c10276f67e45a2c5065120c154b">message</a> (&quot;clangEdit :  ${clangEdit}&quot;) message(&quot;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!&quot;) message(&quot;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!&quot;) message(&quot;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!&quot;) target_link_libraries(refactor-powertrain-controls PRIVATE clangEdit clangTooling clangBasic clangAST clangASTMatchers clangFrontend clangSerialization $</td></tr>
<tr class="separator:aaa211c10276f67e45a2c5065120c154b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a4386e0793b488ad3a9fdee88469dda69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4386e0793b488ad3a9fdee88469dda69">&#9670;&nbsp;</a></span>include_directories() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">include_directories </td>
          <td>(</td>
          <td class="paramtype">&quot;/usr/local/include/mongocxx/v_noabi&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1a81017b8af76ef6f26c5650ab7a6bdf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a81017b8af76ef6f26c5650ab7a6bdf">&#9670;&nbsp;</a></span>include_directories() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">include_directories </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>${LIBMONGOCXX_STATIC_INCLUDE_DIR}</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a863f2bec8665e9993ee6298e70265247"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a863f2bec8665e9993ee6298e70265247">&#9670;&nbsp;</a></span>message() <span class="overload">[1/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">message </td>
          <td>(</td>
          <td class="paramtype">&quot;BSON_STATIC_LIBRARY : ${BSON_STATIC_LIBRARY}&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaa211c10276f67e45a2c5065120c154b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa211c10276f67e45a2c5065120c154b">&#9670;&nbsp;</a></span>message() <span class="overload">[2/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">message </td>
          <td>(</td>
          <td class="paramtype">&quot;clangEdit : ${clangEdit}&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="add4fb4b7904780a6b8e506b2d3a693d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add4fb4b7904780a6b8e506b2d3a693d4">&#9670;&nbsp;</a></span>message() <span class="overload">[3/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">message </td>
          <td>(</td>
          <td class="paramtype">&quot;Cmake Lib ${CMAKE_THREAD_LIBS_INIT}&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a198224a61c4b6af840adb63079fe3f6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a198224a61c4b6af840adb63079fe3f6e">&#9670;&nbsp;</a></span>message() <span class="overload">[4/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">message </td>
          <td>(</td>
          <td class="paramtype">&quot;LIBBSONCXX_STATIC_LIBRARIES : ${LIBBSONCXX_STATIC_LIBRARIES}&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7389aae152eae1adb2fabe53e81696a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7389aae152eae1adb2fabe53e81696a3">&#9670;&nbsp;</a></span>message() <span class="overload">[5/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">message </td>
          <td>(</td>
          <td class="paramtype">STATUS &quot;Incl dirs ${LIBMONGOCXX_STATIC_INCLUDE_DIRS}&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a10c5df92b585a33acfeabf27a1a8db8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10c5df92b585a33acfeabf27a1a8db8c">&#9670;&nbsp;</a></span>message() <span class="overload">[6/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">message </td>
          <td>(</td>
          <td class="paramtype">STATUS &quot;Lib incl dirs : ${PACKAGE_PREFIX_DIR}/lib&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a406350effa98c1d010c7d736b0db7354"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a406350effa98c1d010c7d736b0db7354">&#9670;&nbsp;</a></span>message() <span class="overload">[7/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">message </td>
          <td>(</td>
          <td class="paramtype">STATUS &quot;Libmongo C incl dirs : ${libmongoc_include_directories}&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7c87e68e52713adcccb3a14c404733bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c87e68e52713adcccb3a14c404733bb">&#9670;&nbsp;</a></span>message() <span class="overload">[8/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">message </td>
          <td>(</td>
          <td class="paramtype">STATUS &quot;Libmongo CXX incl dirs : ${LIBMONGOCXX_STATIC_INCLUDE_DIRS}&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a77581c547a9077c066f1dc4dc0e745d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77581c547a9077c066f1dc4dc0e745d5">&#9670;&nbsp;</a></span>message() <span class="overload">[9/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">lib message </td>
          <td>(</td>
          <td class="paramtype">STATUS &quot;Libs ${LIBMONGOCXX_STATIC_LIBRARIES}&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9acf77c69664526c2ca8d7efa24cba98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9acf77c69664526c2ca8d7efa24cba98">&#9670;&nbsp;</a></span>set() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">set </td>
          <td>(</td>
          <td class="paramtype">libmongoc_include_directories ${MONGOC_STATIC_INCLUDE_DIRS}&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0f5e1559f1488eadf50e9b0a5844cd80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f5e1559f1488eadf50e9b0a5844cd80">&#9670;&nbsp;</a></span>set() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">set </td>
          <td>(</td>
          <td class="paramtype">LLVM_LINK_COMPONENTS&#160;</td>
          <td class="paramname"><em>support</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af43f7a954a821a732d905cdd5c68171e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af43f7a954a821a732d905cdd5c68171e">&#9670;&nbsp;</a></span>target_compile_definitions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">target_compile_definitions </td>
          <td>(</td>
          <td class="paramtype">refactor-powertrain-controls PRIVATE ${refactor-powertrain-controls} ${MONGOCXX_STATIC}&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="_c_make_lists_8txt.html">CMakeLists.txt</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
